{% extends "blog/layout.html.twig"%}{# on est pas en relatif, on part d'app views. A partir du moment ou on extends un fichier on ne peut plus écrire d'html en dehors de block#}

{% block body_layout %}
    {% for message in app.session.flashbag.get('success') %}
        <p class="alert alert-success">{{ message }}</p>
    {% endfor %}
    <h1>Blog</h1>

    <p>Page : {{page}}</p><!--équivalent twig de echo $page (argument du tableau render page = $p dans BlogController.php (src/AppBundle-->
    {% for key,article in articles %}<!-- boucle FOR au format twig exemple sans passer les clés du tableau : for article in articles -->

        <article>
            <h1><a href="{{path('detail_blog',{id: article.id})}}">{{key}} - {{article.titre}} #{{article.id}}</a></h1>{# ici : 2 écritures possible en twig pour un tableau; de préférence , utilisez la syntaxe objet {{article.titre}} qui fonctionne aussi pour les tableaux, tandis que la syntaxe tableau {{article['id']}} n'est valable seulement pour les tableaux#}
            {% if article.image is not null %}{# équivalent à : if article.image = si l'objet image de article n'est pas null #}
                <img src="{{article.image.url}}" alt="{{article.image.alt}}" class="pull-left"/>
            {% endif %}
            <p>
                {{article.contenu|title|raw}}{# le filtre |title met les 1ere lettre de chaque mot en majuscule ; avec le filtre twig |Raw (à afficher en dernier) le texte s'affiche brut sans utiliser htmlspecialchar par défaut#}
            </p>

            <footer>
                <strong>
                    {{article.date|date('d-m-Y')}}{# le filtre twig |date permet de convertir l'objet Datetime en date sous forme string#}
                </strong>
            </footer>

            {% for tag in article.tags %}<!--ici la liaison manytomany a créer une table de jonction article_tags qui a créé une colonne tags dans la table article que l'on appelle directement avec article.tags-->
                <button class="btn btn-outline-primary btn-sm"><a href="{{path('tag_blog',{id: tag.id})}}">{{tag.titre}}</a></button>



            {% endfor %}

        </article>
    {% else %}
        <p>AUCUN ARTICLE</p>
    {% endfor %}

{% endblock %}